## org.eclipse.emf.ecore.presentation
Class EcoreActionBarContributor.ExtendedLoadResourceAction.ExtendedLoadResourceDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.emf.common.ui.dialogs.ResourceDialog
                  org.eclipse.emf.edit.ui.action.LoadResourceAction.LoadResourceDialog
                      org.eclipse.emf.ecore.presentation.EcoreActionBarContributor.ExtendedLoadResourceAction.ExtendedLoadResourceDialog

All Implemented Interfaces:
  IShellProvider

Enclosing class:
  EcoreActionBarContributor.ExtendedLoadResourceAction

    public static class EcoreActionBarContributor.ExtendedLoadResourceAction.ExtendedLoadResourceDialog

extends LoadResourceAction.LoadResourceDialog

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.emf.common.ui.dialogs.ResourceDialog
`CONTROL_OFFSET, style, title, uriField, uriText`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`EcoreActionBarContributor.ExtendedLoadResourceAction.ExtendedLoadResourceDialog(Shell parent, EditingDomain domain)`

Method Summary
`protected Control` `createDialogArea(Composite parent)` Creates and returns the contents of the upper part of this dialog.
`protected void` `prepareBrowseRegisteredPackagesButton(Button browseRegisteredPackagesButton)`

Methods inherited from class org.eclipse.emf.edit.ui.action.LoadResourceAction.LoadResourceDialog
`processResources`

Methods inherited from class org.eclipse.emf.common.ui.dialogs.ResourceDialog
`configureShell, getURIs, getURIText, isMulti, isSave, normalizeStyle, okPressed, prepareBrowseFileSystemButton, prepareBrowseWorkspaceButton`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonBar, createButtonsForButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreActionBarContributor.ExtendedLoadResourceAction.ExtendedLoadResourceDialog

    public EcoreActionBarContributor.ExtendedLoadResourceAction.ExtendedLoadResourceDialog(Shell parent,
                                                                                           EditingDomain domain)

Method Detail

### createDialogArea

    protected Control createDialogArea(Composite parent)

  Description copied from class: `ResourceDialog`
  Creates and returns the contents of the upper part of this dialog. This implementation creates a labeled text field for the URI(s) and buttons for browsing the file system and workspace. These buttons are configured (selection listeners are added) by calling `ResourceDialog.prepareBrowseFileSystemButton(org.eclipse.swt.widgets.Button)` and `ResourceDialog.prepareBrowseWorkspaceButton(org.eclipse.swt.widgets.Button)`, respectively.

  Overrides:
    `createDialogArea` in class `ResourceDialog`

### prepareBrowseRegisteredPackagesButton

    protected void prepareBrowseRegisteredPackagesButton(Button browseRegisteredPackagesButton)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.